./emulators/netbsd32_compat15, Shared libraries for NetBSD 32-bit 1.5 compatibility

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.5.3, Package name: netbsd32_compat15-1.5.3, Maintainer: pkgsrc-users

This package supplies the user files necessary for full compatibility with
dynamically linked executables compiled under NetBSD 1.5, on a 32-bit
platform, running on a 64-bit host.. You still need the options COMPAT_15
and COMPAT_NETBSD32 in your kernel configuration (and probably others; see
options(4) for more information) to make use of NetBSD 1.5 binaries.

DEINSTALL [+/-]

Required to run:
[emulators/netbsd32_compat15-extras]

Master sites: (Expand)

SHA1: 96cc83cccd046c6698012d704327a5deda9d740a
RMD160: c1caaeadf8045128fce54294ae09d34dd03c8535
Filesize: 984.399 KB

Version history: (Expand)


CVS history: (Expand)


   2007-02-22 20:27:30 by Thomas Klausner | Files touched by this commit (721)
Log message:
Whitespace cleanup, courtesy of pkglint.
Patch provided by Sergey Svishchev in private mail.
   2006-10-19 21:39:04 by Thomas Klausner | Files touched by this commit (3)
Log message:
Mark as NO_SRC_ON_FTP -- files are already in MASTER_SITE_LOCAL.
   2006-05-23 00:22:05 by Johnny C. Lam | Files touched by this commit (49)
Log message:
Move the check-shlibs target from bsd.pkg.mk to bsd.pkg.check.mk where
it will live with other "check" targets run after package installation.

Get rid of SHLIB_HANDLING, whose meaning had mutated over the years
from one thing to another.  Currently, it is used to basically note
whether the system's "ldd" command can be usefully run on the package's
binaries and libraries.  Rename this variable to CHECK_SHLIBS_SUPPORTED
for more clarity.

CHECK_SHLIBS is now a variable set exclusively by the user in /etc/mk.conf
to note whether the check for missing run-time search paths is performed
after a package is installed.  It defaults to "no" unless PKG_DEVELOPER
is set.
   2006-03-14 02:14:36 by Johnny C. Lam | Files touched by this commit (134)
Log message:
Modify the pkginstall framework so that it manages all aspects of
INSTALL/DEINSTALL script creation within pkgsrc.

If an INSTALL or DEINSTALL script is found in the package directory,
it is automatically used as a template for the pkginstall-generated
scripts.  If instead, they should be used simply as the full scripts,
then the package Makefile should set INSTALL_SRC or DEINSTALL_SRC
explicitly, e.g.:

	INSTALL_SRC=	${PKGDIR}/INSTALL
	DEINSTALL_SRC=	# emtpy

As part of the restructuring of the pkginstall framework internals,
we now *always* generate temporary INSTALL or DEINSTALL scripts.  By
comparing these temporary scripts with minimal INSTALL/DEINSTALL
scripts formed from only the base templates, we determine whether or
not the INSTALL/DEINSTALL scripts are actually needed by the package
(see the generate-install-scripts target in bsd.pkginstall.mk).

In addition, more variables in the framework have been made private.
The *_EXTRA_TMPL variables have been renamed to *_TEMPLATE, which are
more sensible names given the very few exported variables in this
framework.  The only public variables relating to the templates are:

	INSTALL_SRC		INSTALL_TEMPLATE
	DEINSTALL_SRC		DEINSTALL_TEMPLATE
				HEADER_TEMPLATE

The packages in pkgsrc have been modified to reflect the changes in
the pkginstall framework.
   2006-03-04 22:31:14 by Johnny C. Lam | Files touched by this commit (2257)
Log message:
Point MAINTAINER to pkgsrc-users@NetBSD.org in the case where no
developer is officially maintaining the package.

The rationale for changing this from "tech-pkg" to \ 
"pkgsrc-users" is
that it implies that any user can try to maintain the package (by
submitting patches to the mailing list).  Since the folks most likely
to care about the package are the folks that want to use it or are
already using it, this would leverage the energy of users who aren't
developers.
   2005-12-29 07:22:26 by Johnny C. Lam | Files touched by this commit (597)
Log message:
Remove USE_PKGINSTALL from pkgsrc now that mk/install/pkginstall.mk
automatically detects whether we want the pkginstall machinery to be
used by the package Makefile.
   2005-12-05 21:51:20 by Roland Illig | Files touched by this commit (1432)
Log message:
Fixed pkglint warnings. The warnings are mostly quoting issues, for
example MAKE_ENV+=FOO=${BAR} is changed to MAKE_ENV+=FOO=${BAR:Q}. Some
other changes are outlined in

    http://mail-index.netbsd.org/tech-pkg/2 … /0034.html
   2005-09-28 22:52:28 by Roland Illig | Files touched by this commit (180)
Log message:
Replaced "# defined" with "yes" in Makefile variables like \ 
GNU_CONFIGURE,
NO_BUILD, USE_LIBTOOL.